TRACE-CMD-START(1)

NAME
trace-cmd-start - start the Ftrace Linux kernel tracer without recording

SYNOPSIS

trace-cmd start [OPTIONS]

DESCRIPTION

The trace-cmd(1) start enables all the Ftrace tracing the same way trace-cmd-record(1) does. The difference is that it does not run threads to create a trace.dat file. This is useful just to enable Ftrace and you are only interested in the trace after some event has occurred and the trace is stopped. Then the trace can be read straight from the Ftrace pseudo file system or can be extracted with trace-cmd-extract(1).

OPTIONS

The options are the same as trace-cmd-record(1), except that it does not take options specific to recording (-s, -o, -N, and -t).

--fork
    This option is only available for trace-cmd start. It tells trace-cmd to not wait for the process to finish before returning. With this option, trace-cmd start will return right after it forks the process on the command line. This option only has an effect if trace-cmd start also executes a command.

SEE ALSO

trace-cmd(1), trace-cmd-record(1), trace-cmd-report(1), trace-cmd-stop(1), trace-cmd-extract(1), trace-cmd-reset(1), trace-cmd-split(1), trace-cmd-list(1), trace-cmd-listen(1)

AUTHOR

Written by Steven Rostedt, <rostedt@goodmis.org[1]>

RESOURCES

https://git.kernel.org/pub/scm/utils/trace-cmd/trace-cmd.git/

COPYING

Copyright (C) 2010 Red Hat, Inc. Free use of this software is granted under the terms of the GNU Public License (GPL).

NOTES

1.  rostedt@goodmis.org
    mailto:rostedt@goodmis.org